Subject: Machining Titanium

From: [email-masked] (Paul Feist)
Date: 30 Jul 1995 15:18:10 GMT

Hi;

			Does anyone know what cutting speed / feed to use on Titanium?  I'm
making a couple prototype bits & pieces out of some scrap Ti (probably
Pure, not an alloy, but ???).  Also, will standard sulpherized oil cutting
oil help or harm?
   Damn if I can find more than a paragraph about Titanium in any of two
metallurgy texts, two Machine Tool Technology texts, or much in Machinery's
Handbook!
	  Thanks in advance!

Regards;